Bug 127237 - dig will not accept partial IP address in reverse lookup
dig will not accept partial IP address in reverse lookup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-04 22:20 EDT by Joshua
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-29 23:21:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua 2004-07-04 22:20:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Performing a reverse lookup only works with a complete IP address.

dig -x 123.123.123.123 

however

dig -x 123.123.123

returns "Invalid IP address"

This totally breaks functionality.

Version-Release number of selected component (if applicable):
bind-utils-9.2.3-13

How reproducible:
Always

Steps to Reproduce:
1. dig -x 209.132.177
2. dig -x 209.132
3. dig -x 209
    

Actual Results:   dig responds with "Invalid IP address"

Expected Results:  # dig -x 209.132.177

; <<>> DiG 8.2 <<>> -x 
;; res options: init recurs defnam dnsrch
;; got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 4
;; flags: qr rd ra; QUERY: 1, ANSWER: 3, AUTHORITY: 3, ADDITIONAL: 3
;; QUERY SECTION:
;;      177.132.209.in-addr.arpa, type = ANY, class = IN

;; ANSWER SECTION:
177.132.209.in-addr.arpa.  1m42s IN NS  ns1.redhat.com.
177.132.209.in-addr.arpa.  1m42s IN NS  ns2.redhat.com.
177.132.209.in-addr.arpa.  1m42s IN NS  ns3.redhat.com.

;; AUTHORITY SECTION:
177.132.209.in-addr.arpa.  1m42s IN NS  ns1.redhat.com.
177.132.209.in-addr.arpa.  1m42s IN NS  ns2.redhat.com.
177.132.209.in-addr.arpa.  1m42s IN NS  ns3.redhat.com.

;; ADDITIONAL SECTION:
ns1.redhat.com.         1m48s IN A      66.187.233.210
ns2.redhat.com.         1m48s IN A      66.187.224.210
ns3.redhat.com.         1d23h6m18s IN A  66.187.229.10




Additional info:
Comment 1 Jason Vas Dias 2004-07-28 11:43:29 EDT
This is fixed in bind-9.2.4rc6-3

$ dig -x 209.132.177

; <<>> DiG 9.2.4rc6 <<>> -x 209.132.177
;; global options:  printcmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 25811
;; flags: qr rd ra; QUERY: 1, ANSWER: 0, AUTHORITY: 1, ADDITIONAL: 0

;; QUESTION SECTION:
;177.132.209.in-addr.arpa.      IN      PTR

;; AUTHORITY SECTION:
177.132.209.in-addr.arpa. 600   IN      SOA     ns1.redhat.com.
hostmaster.redhat.com. 2004031400 3600 1800 604800 600

;; Query time: 147 msec
;; SERVER: 172.16.76.10#53(172.16.76.10)
;; WHEN: Wed Jul 28 11:42:35 2004
;; MSG SIZE  rcvd: 103
Comment 2 Matthew Miller 2006-06-29 23:21:09 EDT
I don't think an update was ever released for this, but a version higher than
9.2.4rc6 made it into FC3.

Note You need to log in before you can comment on or make changes to this bug.